<?php
namespace common\pay;

use yii\base\Component;

class BaseRemitHandler extends Component
{
    public $notifyUrl;

    /**
     * @param int $payType
     * @return aotu\RemitHandler|null
     */
    public static function getRemitHandlerByPayType($payType)
    {
        switch ($payType) {
            case 1:
                $handler = new \common\pay\renren\RemitHandler();
                break;
            default:
                $handler = null;
                break;
        }
        return $handler;
    }
}